import React, { useState, useEffect, useCallback } from 'react'
import { Button, Card, Col, Menu, Row, Tabs } from 'antd';
// import './index.less'
import Ad from './ad';
import Creative from './creative';
import { useModel } from '@/.umi/plugin-model/useModel';
import LandingPage from './landingPage';
import { useAjax } from '@/Hook/useAjax';
import { getAdAccountAllOfMember } from '@/services/launchAdq/adq';
import Targeting from './targeting';
const { TabPane } = Tabs;
let Menus: any = Menu
const tabsConfig = [
    { key: '1', tab: '账户信息', jsx: () => null },
    { key: '2', tab: '计划', jsx: () => null },
    { key: '3', tab: '广告', jsx: (props: any) => <Ad {...props} /> },
    { key: '4', tab: '创意', jsx: (props: any) => <Creative {...props} /> },
    { key: '5', tab: '落地页', jsx: (props: any) => <LandingPage {...props} /> },
    { key: '6', tab: '定向', jsx: (props: any) => <Targeting {...props} /> },
]
function Adq() {
    const [activeKey, setActiveKey] = useState('6')
    const { getAdAccount } = useModel('useLaunchAdq.useAdAuthorize')
    const [menuKey, setmenuKey] = useState(['1'])
    const [childrenObj, setChildrenObj] = useState<any>({})
    const [accountId, setaccountId] = useState<any>()
    const [idS,setIds]=useState({//需要用到的accountId，adAccountId
        accountId:'',
        adAccountId:''
    })
    const all = useCallback(()=>{
        getAdAccountAllOfMember()
    },[])
    useEffect(() => {
        // 获取账号列表
        let name = menuKey[0]
        console.log(name)
        if (name && !childrenObj[name]) {
            getAdAccount.run().then(res => {
                if (res.data) {
                    setChildrenObj({
                        ...childrenObj,
                        [name]: res.data?.map((item: { accountId: any; id:number}) => {
                            return { key: item.accountId+'_'+item.id, label: item.accountId + '_' + item.id, }
                        })
                    })
                    setaccountId(res.data[0].accountId+'_'+res.data[0].id)
                    setIds({
                        accountId:res.data[0].accountId,
                        adAccountId:res.data[0].id
                    })
                }
            })
        }
    }, [menuKey, childrenObj])
    // const children = useMemo(()=>{
    //     return getAdAccount?.data?.data?.map((item: { accountId: any; })=>{
    //         return {key:item.accountId,label:item.accountId+'_'+menuKey[0],}
    //     })

    // },[menuKey])
    
    return <Row >
        <Col span={3} style={{ height: 'calc(100vh - 150px)' }}>
            <Menus
                theme='light'
                onClick={(e: any) => {
                    let arr = e.key.split('_')
                    let accountId = arr[0]
                    let adAccountId = arr[1]
                    setIds({accountId,adAccountId})
                    setaccountId(e.key)
                }}
                onOpenChange={(openKeys: any) => {
                    setmenuKey(openKeys?.length > 1 ? openKeys.filter((k: any, i: any) => i === 1) : openKeys)
                }}

                // style={{ width: 256 }}
                selectedKeys={accountId}
                mode="inline"
                multiple={false}
                openKeys={menuKey}
                items={[
                    {
                        key: 1,
                        label: '沈武',
                        children: childrenObj[1] || []
                    },
                ]}
            />
        </Col>
        <Col span={21}>
            <Card extra={<Button type='primary' onClick={all}>组员接口请求</Button>}>
                <Tabs activeKey={activeKey} type="card" onChange={(activeKey) => { setActiveKey(activeKey) }} >
                    {
                        tabsConfig?.map(item => {
                            return <TabPane tab={item.tab} key={item.key} >
                                {item.jsx(idS)}
                            </TabPane>
                        })
                    }
                </Tabs>
            </Card>
        </Col>
    </Row>

}
export default Adq